import { OnDestroy, OnInit } from '@angular/core';
import { Icon } from '../../../enum/icon.enum';
import { TransactionHeaderBaseComponent } from '../../core/base/transaction-header-base.component';
export declare class TransactionQuickAccessGoodsAllocationComponent extends TransactionHeaderBaseComponent implements OnInit, OnDestroy {
    readonly icons: typeof Icon;
    showClass(): boolean;
    awaitingResult: boolean;
    showQuickAccessContent: boolean;
    private _subs;
    private completed;
    ngOnInit(): void;
    private evaluateShowQuickAccessContent;
    ngOnDestroy(): void;
    handleSelectAllLines(value: boolean): void;
    handleCommitEvent(event: MouseEvent): Promise<void>;
}
